this.name           = "NShields_flasher";
this.author         = "Ngalo";
this.copyright      = "(C) 2015 'Ngalo'.";
this.licence        = "CC-NC-by-SA 3.0";
this.description    = "handles scaling, moving and lifespan of N-Shields flasher effects";

this.effectSpawned = function _NShields_effectSpawned() {
    //log (this.ship)
    //this.visualEffect.scale(this.ship.collisionRadius / 8)
    this._removalTimer = new Timer(this, this.$removeEffect, 0.25);
    this._FCB = addFrameCallback(this.$update.bind(this))
}

/*this.effectRemoved = function()
{
    if (this.$removalTimer)
    {
        this.$removalTimer.stop()
        delete this.$removalTimer;
    }
}*/

this.$removeEffect = function _NShieds_removeEffect() {
    removeFrameCallback(this._FCB)
    this.visualEffect.remove()
}

this.$update = function _NShieds_update(delta) {
    if (this.$parent.isValid)
        this.visualEffect.position = this.visualEffect.position.add(this.$parent.velocity.multiply(delta));
}
